## README
### 1.运行代码
1. source工作空间
2. sudo chmod +x *.py文件
3. roslaunch lst_robot_r start.launch

### 2.package(SRC)
1. **lst_robot_r**  
1.1 **launch**-launch启动文件  
2.2 **msg**-自定义消息  
3.3 **scripts**-Python代码  

2. **a9**  
2.1 **config**-机械臂先关配置文件  
2.2 **launch**-launch启动文件  
2.3 **meshes**-机械臂STL文件  
2.4 **urdf**-机械臂urdf模型  

3. **robot_config**  
3.1 **config**-moveit配置文件，常用srdf(修改机器人配置)  
3.2 **launch**-launch启动文件，包括demo.launch文件  

4. **Data**  
4.1 点云数据，起始点终点数据，导出的其他的数据(轨迹关节值、末端执行器笛卡尔坐标)  

5. **visual**  
5.1 规划结果可视化  

## 2024.9.30
- 添加修改笛卡尔路径参数的函数(速度，加速度)
- 修正机械臂的初始姿态(home位姿)
- 修改焊接姿态，固定焊接位姿

## 2024.10.12
- 增加点云数据，起始点终点数据，测试碰撞检测

## 2024.10.17
- 修改规划逻辑(简单避障)，规划完一条焊缝后，末端执行器向上移动0.1m，然后继续规划下一条焊缝
- 修改urdf关节运动范围为FAUNC m10iA-8L实际运动范围  

## 2024.10.29
- 配置机械臂moveit_config文件
- 修改仿真模型为fanuc_m10iA/8l
- 更新2024-9-23-L/try分支代码为最新

## 2024.10.30
- 待完成：尝试使用plan()代替compute_cartesian_path()，来进行全局避障规划(会出现翻转的情况，应该是初始位姿的问题)
- 待完成：尝试使用OMPL-CHOMP规划适配器进行规划，即前端使用OMPL获得初始路径，后端使用CHOMP对路径进行优化，提高精度和避障效果

## 2024.10.31(hjsx.py)
- 修改焊接顺序，使得两条平行焊缝的焊接方向相同